package com.mortals.xhx.busiz.service.impl;

import com.mortals.xhx.busiz.service.TestIdempotentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * TestRedisIdempotentService 实现类
 *
 * @author wenpan 2023/01/04 23:03
 */
@Slf4j
@Service
public class TestIdempotentServiceImpl implements TestIdempotentService {

    @Override
    public String testIdempotentHelper(String name) {
        log.info("========>>>>>>> hello {}", name);
        return name + "-hello";
    }

    @Override
    public void testIdempotentWithNoResult(String name) {
        log.info("testIdempotentWithNoResult params is : {}", name);
    }

}
